<?php

if (SF_APP == 'backend') {
    stPluginHelper::addEnableModule('appDisqusBackend', 'backend');
    stPluginHelper::addRouting('appDisqusPlugin', '/disqus/*', 'appDisqusBackend', 'index', 'backend');
    stConfiguration::addModule('appDisqusPlugin', 'group_2');
}

if (SF_APP == 'frontend') {
    stPluginHelper::addEnableModule('appDisqusFrontend', 'frontend');
    $dispatcher->connect('smarty.slot.append', array('appDisqusPluginListener', 'append'));
    stSecurity::addCSPException('*.disqus.com');
    stSecurity::addCSPException('https://*.disquscdn.com');
    stSecurity::addCSPException('https://disqus.com');
    stSecurity::addCSPException('http://*.viglink.com');
}