<?php

class appDisqusFrontendComponents extends sfComponents
{
    public function executeDisqus()
    {

        $config = stConfig::getInstance('appDisqusBackend');
        
        $this->disqusConfig = $config->load();
        
        $this->disqusConfig['disqus_name'] = $config->get('disqus_name', null, true);
        
        if ($this->disqusConfig['enable_blog'] != 1 || $this->disqusConfig['disqus_name'] == null)
        {
            return sfView::NONE;
        }
        
        $this->smarty = new stSmarty('appDisqusFrontend');
         
    }
}