<?php 
use_helper('I18N', 'stAdminGenerator', 'stJQueryTools');
echo st_get_admin_head('appDisqusPlugin', __('Konfiguracja'), array('culture' => $config->getCulture()), array('stConfigurationPlugin'));
st_view_slot_start('application-menu');
st_include_partial('appDisqusBackend/menu'); 
st_view_slot_end();
?> 

<div id="sf_admin_content" class="admin-content-edit">
<?php st_include_partial('stAdminGenerator/message');?>
    <div id="sf_admin_content_config">
        <?php echo form_tag('appDisqusBackend/index?culture='.$config->getCulture(), array('id' => 'sf_admin_config_form', 'name' => 'sf_admin_config_form', 'class' => 'admin_form'));?>
            <fieldset>
                <div class="content">
                    <div class="row">
                        <?php echo label_for('disqus[enable_blog]', __('Włącz')) ?>
                        <div class="field"><?php echo st_admin_checkbox_tag('disqus[enable_blog]',true,$config->get('enable_blog')) ?></div>
                        <div class="clr"></div>
                    </div>
                    <div class="row">
                        <?php echo label_for('disqus[disqus_name]', __('Podaj nazwę strony Disqus'))  ?>
                        <div class="field"><?php echo input_tag('disqus[disqus_name]', $config->get('disqus_name', null, true), array('maxlength'=>'255', 'style'=>'width: 200px', 'class'=>'error_input')) ?></div>
                        <div class="clr"></div>
                    </div>
                </div>
            </fieldset>
            <div id="config_actions">
            <?php echo st_get_admin_actions_head() ?>
                <?php echo st_get_admin_action('save', __('Zapisz', null, 'stAdminGeneratorPlugin'), null, array('name' => 'save')) ?>
            <?php echo st_get_admin_actions_foot() ?>
        </div>
        </form>
    </div>
</div>
 <div class="clr"></div>
<?php echo st_get_admin_foot() ?>


<script type="text/javascript">
jQuery(function($) {

    $(document).ready(function() {
        $('#config_actions').stickyBox();
        fieldsetVisibility();
    });

});
</script>